Skip to content
catchook

API reference

Projects

Every Projects endpoint in the Catchook API.

Generated from Catchook API 0.1.0 · OpenAPI 3.1.0 ·openapi.json

get/projects

List projects for the current organization

Query parameters

pageoptional
integer

default 1 · min 1

limitoptional
integer

default 50 · min 1 · max 100

Request

curl -X GET https://api.catchook.com/projects \
  -H "Authorization: Bearer $CATCHOOK_API_KEY"

200List of projects

datarequired
object[]
data[].idrequired
string
data[].org_idrequired
string
data[].namerequired
string
data[].slugrequired
string
data[].created_atrequired
string
paginationrequired
object
pagination.pagerequired
number
pagination.limitrequired
number
pagination.totalrequired
number
pagination.total_pagesrequired
number
pagination.has_nextrequired
boolean
pagination.has_prevrequired
boolean
timestamprequired
string

post/projects

Create a project

Request body

namerequired
string

min length 1

Request

curl -X POST https://api.catchook.com/projects \
  -H "Authorization: Bearer $CATCHOOK_API_KEY" \
  -H "Content-Type: application/json" \ \
  -d '{ … }'

201The created project

datarequired
object
data.idrequired
string
data.org_idrequired
string
data.namerequired
string
data.slugrequired
string
data.created_atrequired
string
timestamprequired
string

409A project with this slug already exists

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string

get/projects/{id}

Get a project

Path parameters

idrequired
string

min length 1

Request

curl -X GET https://api.catchook.com/projects/{id} \
  -H "Authorization: Bearer $CATCHOOK_API_KEY"

200The project

datarequired
object
data.idrequired
string
data.org_idrequired
string
data.namerequired
string
data.slugrequired
string
data.created_atrequired
string
timestamprequired
string

404Project not found

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string

patch/projects/{id}

Update a project

Path parameters

idrequired
string

min length 1

Request body

nameoptional
string

min length 1

slugoptional
string

min length 1

Request

curl -X PATCH https://api.catchook.com/projects/{id} \
  -H "Authorization: Bearer $CATCHOOK_API_KEY" \
  -H "Content-Type: application/json" \ \
  -d '{ … }'

200The updated project

datarequired
object
data.idrequired
string
data.org_idrequired
string
data.namerequired
string
data.slugrequired
string
data.created_atrequired
string
timestamprequired
string

404Project not found

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string

409A project with this slug already exists

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string

delete/projects/{id}

Delete a project

Path parameters

idrequired
string

min length 1

Request

curl -X DELETE https://api.catchook.com/projects/{id} \
  -H "Authorization: Bearer $CATCHOOK_API_KEY"

204Project deleted

404Project not found

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string

409Project still has endpoints

errorrequired
object
error.coderequired
string
error.messagerequired
string
timestamprequired
string